zstd-0.1.3.0: Haskell bindings to the Zstandard compression algorithm

Copyright | (c) 2016-present Facebook Inc. All rights reserved.
License | BSD3
Maintainer | bryano@fb.com
Stability | experimental
Portability | GHC
Safe Haskell | Safe-Inferred
Language | Haskell2010

Codec.Compression.Zstd.Types

Description

Types supporting zstd compression and decompression.

Synopsis

- data Decompress
  - = Skip
  - | Error String
  - | Decompress ByteString
- newtype Dict = Dict {
  - fromDict :: ByteString
  }
- mkDict :: ByteString -> Dict

# Documentation

data Decompress Source #

The result of a decompression operation.

Constructors

Skip | Either the compressed frame was empty, or it was compressed in streaming mode and so its size is not known.
Error String | An error occurred.
Decompress ByteString | The payload was successfully decompressed.

#### Instances

Instances details

Read Decompress Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods readsPrec :: Int -> ReadS Decompress Source # readList :: ReadS [Decompress] Source # readPrec :: ReadPrec Decompress Source # readListPrec :: ReadPrec [Decompress] Source #
Show Decompress Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods showsPrec :: Int -> Decompress -> ShowS Source # show :: Decompress -> String Source # showList :: [Decompress] -> ShowS Source #
Eq Decompress Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods (==) :: Decompress -> Decompress -> Bool Source # (/=) :: Decompress -> Decompress -> Bool Source #

newtype Dict Source #

Compression dictionary.

Constructors

Dict |

Fields

- fromDict :: ByteString

#### Instances

Instances details

NFData Dict Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods rnf :: Dict -> () Source #
Read Dict Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods readsPrec :: Int -> ReadS Dict Source # readList :: ReadS [Dict] Source # readPrec :: ReadPrec Dict Source # readListPrec :: ReadPrec [Dict] Source #
Show Dict Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods showsPrec :: Int -> Dict -> ShowS Source # show :: Dict -> String Source # showList :: [Dict] -> ShowS Source #
Eq Dict Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods (==) :: Dict -> Dict -> Bool Source # (/=) :: Dict -> Dict -> Bool Source #
Ord Dict Source # |
Instance details Defined in Codec.Compression.Zstd.Types Methods compare :: Dict -> Dict -> Ordering Source # (<) :: Dict -> Dict -> Bool Source # (<=) :: Dict -> Dict -> Bool Source # (>) :: Dict -> Dict -> Bool Source # (>=) :: Dict -> Dict -> Bool Source # max :: Dict -> Dict -> Dict Source # min :: Dict -> Dict -> Dict Source #

mkDict :: ByteString -> Dict Source #

Smart constructor.